Bug 27033 - plasmashell : kf5.kio.gui: Failed to register new cgroup
Summary: plasmashell : kf5.kio.gui: Failed to register new cgroup
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal minor
Target Milestone: Mageia 9
Assignee: KDE maintainers
QA Contact:
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: 17523
  Show dependency treegraph
 
Reported: 2020-08-04 21:35 CEST by Aurelien Oudelet
Modified: 2021-05-19 15:15 CEST (History)
0 users

See Also:
Source RPM: plasma-workspace-5.19.4-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description Aurelien Oudelet 2020-08-04 21:35:53 CEST
Description of problem:

Opening application pinned as desktop graphical component leads to failing cgroup creation.

Launching whatever application pinned from a Plasma Panel results of following error:

plasmashell[4397]: kf5.kio.gui: Failed to register new cgroup: "apps-firefox (1)-fe5379b798a3465a9edd978a96bdf64c.scope"
plasmashell[4397]: kf5.kio.gui: Failed to register new cgroup: "apps-org.kde.dolphin (1)-ecac586e193d4319a28402bd0140f494.scope"
plasmashell[4397]: kf5.kio.gui: Failed to register new cgroup: "apps-systemsettings (1)-07939f87e1c24783ba4c0a4dff48361b.scope"

There is a typo error: a space after application name and this: (1) or (2).

Applications launched from Kicker are not affected.
Applications launched from pinned shortcut in Task Manager are not affected.

This is on 5.19.4 Plasma on current Mageia Cauldron.

STEPS TO REPRODUCE
1. Pin an application on panel with right click menu (Add to panel (graphical component))
2. Click on application icon like firefox, dolphin, systemsettings
3. See in journal error.

Reported upstream today https://bugs.kde.org/show_bug.cgi?id=425008
Comment 1 Aurelien Oudelet 2020-08-04 21:42:05 CEST
As bug reported upstream but appeared with latest 5.19.4 revision of Plasma.
Such a strange bug.

Why an application launch properly with cgroup scope from Plasma Kicker but sometimes failed to launch his cgroup scope when it starts from Panel shortcut.

This bug is not blocker: app is launched effectively but at a price of 1 second delay. On modern hardware it is not perceived, but I think on old it will be.

Assigning to KDE maintainers meanwhile.

URL: (none) => https://bugs.kde.org/show_bug.cgi?id=425008
Severity: normal => minor
Keywords: (none) => UPSTREAM
Assignee: bugsquad => kde

Comment 2 Aurelien Oudelet 2020-08-04 21:53:37 CEST
After further analyze,

There is some desktop files in /$home/.local/share/plasma_icons

Why there is .desktop files here when there is no icons in Plasma's Panel ?

Deleting theses files, and pinning to Panel after some apps, there is no longer bug.

BUT: if I add as duplicate an app, the .desktop file has a space and parenthesis in filename, so the bug is reproduced:

plasmashell[4378]: kf5.kio.gui: Failed to register new cgroup: "apps-firefox (1)-fe5379b46df4469edd978a96bdg58v.scope"
Aurelien Oudelet 2020-10-29 16:13:22 CET

Blocks: (none) => 17523

Comment 3 Aurelien Oudelet 2021-05-19 15:15:09 CEST
> David Edmundson 2021-01-28 09:49:16 UTC
> This was merged. Please reopen if this is still an issue.

This seems fixed in KFrameworks 5.78.
They don't give me commit.

Unsure if it is worth a backport to Mageia 8.

Fixed in Cauldron.

Target Milestone: --- => Mageia 9
Version: Cauldron => 8


Note You need to log in before you can comment on or make changes to this bug.